GWT 2.7.0

## com.google.gwt.dom.builder.shared
Class HtmlVideoBuilder

    java.lang.Object
      com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
          com.google.gwt.dom.builder.shared.HtmlElementBuilderBase<R>
              com.google.gwt.dom.builder.shared.HtmlMediaBuilderBase<VideoBuilder>
                  com.google.gwt.dom.builder.shared.HtmlVideoBuilder

All Implemented Interfaces:
  ElementBuilderBase<VideoBuilder>, MediaBuilder<VideoBuilder>, VideoBuilder

    public class HtmlVideoBuilder

extends HtmlMediaBuilderBase<VideoBuilder>
implements VideoBuilder

HTML-based implementation of `VideoBuilder`.

Constructor Summary
`HtmlVideoBuilder(HtmlBuilderImpl delegate)`

Method Summary
`VideoBuilder` | `height(int height)` Sets the height of the element.
`VideoBuilder` | `poster(java.lang.String url)` Sets the poster URL.
`VideoBuilder` | `width(int width)` Sets the width of the element.

Methods inherited from class com.google.gwt.dom.builder.shared.HtmlMediaBuilderBase
`autoplay, controls, loop, muted, preload, src`

Methods inherited from class com.google.gwt.dom.builder.shared.HtmlElementBuilderBase

`asSafeHtml, attribute, attribute, className, dir, draggable, endTitle, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTitle, startTR, startUList, startVideo, tabIndex, title, trustedAttribute, trustedAttribute, trustedStart`

Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase

`end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, html, isChildElementSupported, isEndTagForbidden, style, text`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gwt.dom.builder.shared.MediaBuilder
`autoplay, controls, loop, muted, preload, src`

Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

Constructor Detail

### HtmlVideoBuilder

    HtmlVideoBuilder(HtmlBuilderImpl delegate)

Method Detail

### height

    public VideoBuilder height(int height)

  Description copied from interface: `VideoBuilder`
  Sets the height of the element.

  Specified by:
    `height` in interface `VideoBuilder`
  Parameters:
    `height` - the height, in pixels

### poster

    public VideoBuilder poster(java.lang.String url)

  Description copied from interface: `VideoBuilder`
  Sets the poster URL.

  Specified by:
    `poster` in interface `VideoBuilder`
  Parameters:
    `url` - the poster image URL

### width

    public VideoBuilder width(int width)

  Description copied from interface: `VideoBuilder`
  Sets the width of the element.

  Specified by:
    `width` in interface `VideoBuilder`
  Parameters:
    `width` - the width, in pixels

GWT 2.7.0